import ConvertToSVFResponse from './types/ConvertToSVFResponse';
import CopyToResponse from './types/CopyToResponse';
import CreateSignedResponse from './types/CreateSignedResponse';
declare class ForgeObject {
    static convertToSVF(authenticationKey: string, urn: string): Promise<ConvertToSVFResponse>;
    static copyTo(authToken: string, bucketKey: string, objectName: string, newObjectName: string): Promise<CopyToResponse>;
    static createSignedResource(authToken: string, bucketKey: string, objectName: string, access: string, expirationTime: number, useType: boolean): Promise<CreateSignedResponse>;
    static createUploadSignedResource(authToken: string, bucketKey: string, objectName: string, access: string, expirationTime: number, useType: boolean): Promise<{
        signedUrl: string;
        expiration: number;
        singleUse: boolean;
    }>;
}
export default ForgeObject;
